package com.rjconsultores.ventaboletos.web.utilerias.menu.item.relatorios.impressaofiscal;

import java.util.HashMap;

import org.zkoss.util.resource.Labels;

import com.rjconsultores.ventaboletos.web.utilerias.PantallaUtileria;
import com.rjconsultores.ventaboletos.web.utilerias.menu.DefaultItemMenuSistema;
import com.rjconsultores.ventaboletos.web.utilerias.menu.item.relatorios.impressaofiscal.TipoImportacaoFiscal.TipoImportacao;

public class ItemMenuImportacionFiscalReducaoZPendencia extends DefaultItemMenuSistema {

	public ItemMenuImportacionFiscalReducaoZPendencia() {
		super("indexController.mniImportacionFiscalPendenciaReducaoZ.label");
	}

	@Override
	public String getClaveMenu() {
		return "COM.RJCONSULTORES.ADMINISTRACION.GUI.RELATORIOS.IMPRESSAOFISCAL.MENU.IMPORTACIONFISCAL";
	}

	@Override
	public void ejecutar() {

		@SuppressWarnings("unchecked")
		HashMap<String, Boolean> map = TipoImportacaoFiscal.selecionaTipoImportacao(TipoImportacao.PENDENCIA_REDUCAO_Z, (HashMap<String, Boolean>) getArgs());
		// map.put("ExibirTipoGeracaoArquivo", true);

		PantallaUtileria.openWindow("/gui/impressaofiscal/busquedaImportacionFiscal.zul",
				Labels.getLabel("busquedaImportacionFiscalEcfPendenciaReducaoZController.window.title"), map, desktop);

	}
}
